Search Unity

  1. Unity 6 Preview is now available. To find out what's new, have a look at our Unity 6 Preview blog post.
    Dismiss Notice
  2. Unity is excited to announce that we will be collaborating with TheXPlace for a summer game jam from June 13 - June 19. Learn more.
    Dismiss Notice
  3. Dismiss Notice

Bug XR Management 'VisionOS Error'

Discussion in 'VR' started by trustay248, Feb 18, 2024.

  1. trustay248

    trustay248

    Joined:
    Jan 2, 2024
    Posts:
    4
    Library\PackageCache\com.unity.xr.management@4.4.1\Editor\Metadata\KnownPackages.cs(12,70): error CS0117: 'BuildTargetGroup' does not contain a definition for 'VisionOS'

    Somebody Help me..

    I've already tried downloading 4.4.1 and modifying it to 4.4.0, but it didn't work well with more errors.
    Is there any way to download a lower version of the XR Management package from the ground up?
     
  2. FuatW

    FuatW

    Joined:
    Apr 9, 2013
    Posts:
    23
    Open up the KnownPackages.cs Script,

    simply comment out the areas containing the #if unity vision pro (or something like that) parts

    so for example

    Code (CSharp):
    1. /*
    2. #if Vision_Pro
    3.  
    4. #endif
    5. */
    There should be 2 instances of this in the script.
    I had this issue too, but it was a few days ago, so I'm doing this out of my memory.
    But if I recall correctly, downgrading to 4.4.0 did resolve the issue, so maybe it upgraded the package again, or something went wrong while downgrading. Either way, commenting the area out should work.
     
    tornado01a likes this.
  3. tornado01a

    tornado01a

    Joined:
    Jun 15, 2021
    Posts:
    1
    How to download the old version of XR Plugin Management?
    (Making a comment line worked by the way)
     
    Last edited: Mar 7, 2024
  4. EdBlais

    EdBlais

    Unity Technologies

    Joined:
    Nov 18, 2013
    Posts:
    311
    Hey, this error is known and will be fixed in the upcoming XR Management 4.5.0 release.
     
  5. ROBYER1

    ROBYER1

    Joined:
    Oct 9, 2015
    Posts:
    1,455
    When is 4.5.0 expected? Was surprised to load up Unity 2023.2.12f1 and auto update all my packages to hit this error
     
    patrick_star_555 and BjoUnity3d like this.
  6. EdBlais

    EdBlais

    Unity Technologies

    Joined:
    Nov 18, 2013
    Posts:
    311
    4.5.0 should be available in the next couple of weeks. I will add this thread to our internal ticket so that I remember to update it when the release is available
     
  7. cooper6335

    cooper6335

    Joined:
    Nov 3, 2021
    Posts:
    1
    You can go to version 4.4.0 by typing in the package name in 'install by name' in the package manager by clicking the plus and set the option for version to 4.4.0
     
    efge and nukadelic like this.
  8. nukadelic

    nukadelic

    Joined:
    Aug 5, 2017
    Posts:
    80
    same here , fresh install on 2023.2.18 still using 4.4.1 , had to roll back to 4.4.0
     
  9. Wolfram

    Wolfram

    Joined:
    Feb 16, 2010
    Posts:
    263
    This is STILL broken in the current 2023.2.18f1 when adding the com.unity.xr.management using the auto-popup-wizard when creating a new project (in my case "HDRP+VR").

    Also, the Version History for that package in the PackMan is empty, so you are forced to hack manifest.json yourself.
     
  10. yemojagg

    yemojagg

    Joined:
    Dec 5, 2023
    Posts:
    1
    Make sure your headset is plugged in ( this can be with a link cable if youhave oculus) . after you verify that your headset is pluggin , hit the play button. the error should go away as it is linked to the rendering pipeline not knowing " where to go". ( this is true if you are using the universal rendering pipeline) Hope this works
     
  11. Jelmer123

    Jelmer123

    Joined:
    Feb 11, 2019
    Posts:
    245
    Still errors, even though the changelog 4.4.1 for XR plugin management says
    "- Added [Apple visionOS XR provider](https://create.unity.com/spatial) to the list of known packages."
    lol...?!
     
  12. Imm0rt4l_PL

    Imm0rt4l_PL

    Joined:
    Jan 24, 2020
    Posts:
    6
    Getting the same issue on Unity 2023.2.20f1 with XR Plugin Management 4.4.1
     
    patrick_star_555 likes this.
  13. sanercakir

    sanercakir

    Joined:
    Dec 24, 2020
    Posts:
    4
    Still having the same issue on XR Plugin Management 4.4.1, any solutions
     
  14. sanercakir

    sanercakir

    Joined:
    Dec 24, 2020
    Posts:
    4
    Opening project first with a lower editor version (2022.3.18 for me) and re-opening with the desired one works for me.